Package org.spongepowered.asm.mixin.transformer

## Enum MixinInheritanceTracker

- java.lang.Object
- - java.lang.Enum<MixinInheritanceTracker>
  - - org.spongepowered.asm.mixin.transformer.MixinInheritanceTracker

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MixinInheritanceTracker>`

      public enum MixinInheritanceTracker
      extends java.lang.Enum<MixinInheritanceTracker>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INSTANCE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<org.objectweb.asm.tree.MethodNode>` | `findOverrides​(java.lang.String owner, java.lang.String name, java.lang.String desc)` |
    `java.util.List<org.objectweb.asm.tree.MethodNode>` | `findOverrides​(ClassInfo owner, java.lang.String name, java.lang.String desc)` |
    `void` | `onInit​(org.spongepowered.asm.mixin.transformer.MixinInfo mixin)` |
    `void` | `onPrepare​(org.spongepowered.asm.mixin.transformer.MixinInfo mixin)` |
    `static MixinInheritanceTracker` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MixinInheritanceTracker[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final MixinInheritanceTracker INSTANCE

  - ### Method Detail

    - #### values

          public static MixinInheritanceTracker[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MixinInheritanceTracker c : MixinInheritanceTracker.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MixinInheritanceTracker valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### onPrepare

          public void onPrepare​(org.spongepowered.asm.mixin.transformer.MixinInfo mixin)

    - #### onInit

          public void onInit​(org.spongepowered.asm.mixin.transformer.MixinInfo mixin)

    - #### findOverrides

          public java.util.List<org.objectweb.asm.tree.MethodNode> findOverrides​(ClassInfo owner,
                                                                                 java.lang.String name,
                                                                                 java.lang.String desc)

    - #### findOverrides

          public java.util.List<org.objectweb.asm.tree.MethodNode> findOverrides​(java.lang.String owner,
                                                                                 java.lang.String name,
                                                                                 java.lang.String desc)